Bug 204553 - graphics/libraw: Update to 0.17.0
Summary: graphics/libraw: Update to 0.17.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords: needs-qa, patch
Depends on: 204635
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-15 05:07 UTC by graham
Modified: 2015-12-08 18:19 UTC (History)
1 user (show)

See Also:


Attachments
new version of port (2.36 KB, application/x-bzip2)
2015-11-15 05:07 UTC, graham
no flags Details
svn diff of patch (1.99 KB, patch)
2015-11-15 05:58 UTC, graham
no flags Details | Diff
svn diff of patch (3.02 KB, patch)
2015-11-17 08:38 UTC, graham
no flags Details | Diff
svn diff of patch (2.07 KB, patch)
2015-11-17 18:32 UTC, graham
no flags Details | Diff
svn diff of patch (2.07 KB, patch)
2015-11-17 18:33 UTC, graham
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description graham 2015-11-15 05:07:55 UTC
Created attachment 163131 [details]
new version of port

Pentax K3 camera requires libraw version 0.17.0. Attached files upgrade the port to use that version.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-15 05:33:10 UTC
Thanks Graham, can you attach your port update as a unified diff (via svn diff or diff -u) please?
Comment 2 graham 2015-11-15 05:58:27 UTC
Created attachment 163132 [details]
svn diff of patch
Comment 3 Dmitry Marakasov freebsd_committer 2015-11-15 21:42:54 UTC
By the chance, won't you like to become maintainer of libraw?
Comment 4 Dmitry Marakasov freebsd_committer 2015-11-16 10:24:32 UTC
The update breaks openimageio, please provide a patch to fix it.

---
/wrkdirs/usr/ports/graphics/openimageio/work/oiio-Release-1.5.18/src/raw.imageio/rawinput.cpp:207:48: error: use of undeclared identifier 'LIBRAW_DECODER_FLATFIELD'; did you mean 'LIBRAW_DECODER_NOTSET'?
            if (!(decoder_info.decoder_flags & LIBRAW_DECODER_FLATFIELD)) {
                                               ^~~~~~~~~~~~~~~~~~~~~~~~
                                               LIBRAW_DECODER_NOTSET
/usr/local/include/libraw/libraw_const.h:98:5: note: 'LIBRAW_DECODER_NOTSET' declared here
    LIBRAW_DECODER_NOTSET = 1<<15
    ^
1 error generated.
---
Comment 5 graham 2015-11-17 08:38:05 UTC
Created attachment 163237 [details]
svn diff of patch

patches libraw from 0.16.2 to 0.17.0
patches openimageio from 1.15.18 to 1.15.20
Comment 6 Dmitry Marakasov freebsd_committer 2015-11-17 15:47:27 UTC
It should be submitted as a separate PR as it requires openimageio maintainer's approval.
Comment 7 graham 2015-11-17 18:32:18 UTC
Created attachment 163257 [details]
svn diff of patch
Comment 8 graham 2015-11-17 18:33:53 UTC
Created attachment 163258 [details]
svn diff of patch
Comment 9 graham 2015-11-17 18:45:44 UTC
See also https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=204635 for a patch to the graphics/openimageio port that is needed as a result of this update.
Comment 10 Dmitry Marakasov freebsd_committer 2015-11-20 12:03:20 UTC
> By the chance, won't you like to become maintainer of libraw?
Comment 11 commit-hook freebsd_committer 2015-11-22 12:43:46 UTC
A commit references this bug:

Author: amdmi3
Date: Sun Nov 22 12:42:49 UTC 2015
New revision: 402228
URL: https://svnweb.freebsd.org/changeset/ports/402228

Log:
  - Update  graphics/libraw to 0.17.0
  - While here, minor port cleanup, switch to options helpers
  - Bump PORTREVISIONs of consumers as soversion has changed

  PR:		204553
  Submitted by:	graham@menhennitt.com.au

Changes:
  head/graphics/entangle/Makefile
  head/graphics/evas_generic_loaders-raw/Makefile
  head/graphics/gthumb/Makefile
  head/graphics/libkdcraw-kde4/Makefile
  head/graphics/libraw/Makefile
  head/graphics/libraw/distinfo
  head/graphics/libraw/pkg-plist
  head/graphics/luminance/Makefile
  head/graphics/luminance-qt5/Makefile
  head/graphics/nomacs/Makefile
  head/graphics/openimageio/Makefile
  head/graphics/oyranos/Makefile
  head/graphics/shotwell/Makefile
Comment 12 commit-hook freebsd_committer 2015-12-08 18:19:36 UTC
A commit references this bug:

Author: rakuco
Date: Tue Dec  8 18:18:52 UTC 2015
New revision: 403330
URL: https://svnweb.freebsd.org/changeset/ports/403330

Log:
  MFH: r402228 r403193

  I did not originally intend to backport r402228, but the LibRaw CVE fixes
  only apply on top of 0.17 releases (the API and the code in 0.16.x is too
  different).

  r402228:
    - Update  graphics/libraw to 0.17.0
    - While here, minor port cleanup, switch to options helpers
    - Bump PORTREVISIONs of consumers as soversion has changed

    PR:		204553
    Submitted by:	graham@menhennitt.com.au

  r403193:
    Update to 0.17.1.

    This is a small update that fixes two security vulnerabilities,
    CVE-2015-8366 and CVE-2015-8367.

    Security:	db04bf07-9cc8-11e5-8c2b-c335fa8985d7
    Security:	6bc6eed2-9cca-11e5-8c2b-c335fa8985d7

  Approved by:	portmgr (erwin), ports-secteam (feld)

Changes:
_U  branches/2015Q4/
  branches/2015Q4/graphics/entangle/Makefile
  branches/2015Q4/graphics/evas_generic_loaders-raw/Makefile
  branches/2015Q4/graphics/gthumb/Makefile
  branches/2015Q4/graphics/libkdcraw-kde4/Makefile
  branches/2015Q4/graphics/libraw/Makefile
  branches/2015Q4/graphics/libraw/distinfo
  branches/2015Q4/graphics/libraw/pkg-plist
  branches/2015Q4/graphics/luminance/Makefile
  branches/2015Q4/graphics/luminance-qt5/Makefile
  branches/2015Q4/graphics/nomacs/Makefile
  branches/2015Q4/graphics/openimageio/Makefile
  branches/2015Q4/graphics/oyranos/Makefile
  branches/2015Q4/graphics/shotwell/Makefile